Last Comment Bug 598599 - Moving big tab previews into small group is not possible
: Moving big tab previews into small group is not possible
Status: RESOLVED WONTFIX
[ux]
: polish
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: x86 Linux
P4 normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-22 04:24 PDT by Michael Monreal [:monreal]
Modified: 2016-04-12 14:00 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot (230.37 KB, image/png)
2010-09-22 04:24 PDT, Michael Monreal [:monreal]
no flags Details

Description User image Michael Monreal [:monreal] 2010-09-22 04:24:11 PDT
Created attachment 477465 [details]
Screenshot

Create a tab group layout similar to the one in the screenshot. Basicly, have one big group and at least one narrow one. The big group only has one or two tabs at that point, so the previews are huge. Now try to move them to the small group. I was not able to do this. It started working after making the small group about twice as tall as shown in the screenshot (making the big group smaller at the same time).

IMHO, the tab preview should shrink to a more manageable size (3-4 times the size of the mouse pointer maybe) when dragging. That way it is easier to hit the drop target and they don't cover half the screen.
Comment 1 User image Ian Gilman [:iangilman] 2010-09-22 11:34:07 PDT
Agreed. 

We originally had resizing on drag (once the tab left the group it started in), but the animation was a little funky (for one thing, it resized around the upper left corner, rather than the cursor; looked funny for big scale changes). We should fix those issues and get it back in.
Comment 2 User image Kevin Hanes 2011-01-10 10:07:46 PST
bugspam (moving b9 to b10)
Comment 3 User image Kevin Hanes 2011-01-10 10:10:35 PST
bugspam (removing b9)
Comment 4 User image Michael Yoshitaka Erlewine [:mitcho] 2011-01-20 17:02:20 PST
Sean, I'd be happy to take this off your plate.
Comment 5 User image Michael Yoshitaka Erlewine [:mitcho] 2011-02-09 22:57:50 PST
[bugspam: mitcho's late-night betaN triage; feel free to comment or reverse]
Comment 6 User image Ian Gilman [:iangilman] 2011-03-03 16:06:33 PST
bugspam: returning Sean's bugs to the pool
Comment 7 User image Kevin Hanes 2011-03-31 10:52:04 PDT
bugspam
Comment 8 User image Tim Taubert [:ttaubert] 2011-05-27 02:23:50 PDT
bugspam
Comment 9 User image Tim Taubert [:ttaubert] 2011-05-27 02:28:48 PDT
bugspam
Comment 10 User image Tim Taubert [:ttaubert] 2011-07-24 18:39:43 PDT
bugspam

(Fx7 was branched, removing open bugs from Fx7 meta bug, we won't create new meta bugs for upcoming Fx versions)
Comment 11 User image Justin Dolske [:Dolske] 2016-02-03 16:11:20 PST
Panorama has been removed from Firefox 45, currently in Beta and scheduled for release on March 7th. As such, I'm closing all existing Panorama bugs.

If you are still using Panorama, you will see a deprecation message in Firefox 44, and when 45 is released your tab group data will be migrated to bookmarks, with a folder for each group. There are also a few addons offering similar functionality.

See https://support.mozilla.org/en-US/kb/tab-groups-removal for more info.

We're removing Panorama because it has extremely low usage (about 0.01% of users), and has a large number of bugs and usability issues. The cost of fixing all those issues is far too high to justify, and so we'll instead be focusing our time and energy on improving other parts of Firefox.

Note You need to log in before you can comment on or make changes to this bug.